Skip to main content
GET
/
v1
/
economy
/
inflation
Get Latest Inflation Data
curl --request GET \
  --url https://api.aries.com/v1/economy/inflation \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "date": "2025-09-01",
      "cpi": 324.368,
      "cpiCore": 330.542,
      "pce": 127.625,
      "pceCore": 126.954,
      "pceSpending": 21152.2
    },
    {
      "date": "2024-11-01",
      "cpi": 316.449,
      "cpiCore": 322.619,
      "cpiYearOverYear": 2.74938,
      "pce": 124.637,
      "pceCore": 123.962,
      "pceSpending": 20313.6
    }
  ],
  "status": "OK",
  "requestId": "6f5e44c7321c4947a7702654d2d3e0fa",
  "nextUrl": "https://api.aries.com/v1/economy/inflation?cursor=..."
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

date
string<date>

Exact date in YYYY-MM-DD format

Example:

"2024-01-15"

dates
string

Comma-separated list of dates

Example:

"2024-01-15,2024-01-16"

dateFrom
string<date>

Date >= this value (inclusive)

Example:

"2024-01-01"

dateTo
string<date>

Date <= this value (inclusive)

Example:

"2024-01-31"

dateAfter
string<date>

Date > this value (exclusive)

Example:

"2024-01-01"

dateBefore
string<date>

Date < this value (exclusive)

Example:

"2024-01-31"

limit
integer

Maximum number of results

Example:

100

sort
string

Sort field

Example:

"date"

next
string

Pagination cursor for next page

Response

Successful response

results
object[]
status
string
requestId
string
nextUrl
string

URL for next page of results